%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           gscribble
Version:        0.1.1
Release:        3%{?dist}
Summary:        A desktop client for blogging

Group:          Applications/Internet
License:        GPLv2+
URL:            https://sourceforge.net/projects/gscribble
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python-devel, desktop-file-utils
Requires:       pygtk2, gnome-python2-gtkspell, gnome-python2-gtkhtml2

%description
A desktop client for blogging.

%prep
%setup -q
sed -i 's|^#!/usr/bin/env python|#!/usr/bin/python|' gscribble

%build
%{__python} setup.py build


%install
rm -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
desktop-file-validate %{buildroot}/%{_datadir}/applications/gscribble.desktop


 
%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc README LICENSE AUTHORS ChangeLog
%{python_sitelib}/libgscribble/
%{python_sitelib}/gscribble-*egg-info
%{_bindir}/gscribble
%{_datadir}/gscribble/
%{_datadir}/applications/gscribble.desktop
%{_datadir}/pixmaps/gscribble.png


%changelog
* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 0.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Fri Feb 19 2010 Roshan Kumar Singh <singh.roshan08@gmail.com> 0.1.1-1
- New release with better editor and spell checker

* Sat Oct 31 2009 Roshan Kumar Singh <singh.roshan08@gmail.com> 0.0.2.1-1
- New Release of gscribble with fixed version problem

* Tue Sep 17 2009 Roshan Kumar Singh <singh.roshan08@gmail.com> 0.0.2-1
- New Release of gscribble with proxy support 

* Tue Jul 7 2009 Roshan Kumar Singh <singh.roshan08@gmail.com> 0.0.1-1
- Removed rpmlinit errors and fixed ownership issues

* Tue Jul 7 2009 Roshan Kumar Singh <singh.roshan08@gmail.com> 0.0.1-alpha
- First rpm of gscribble
